import { Observable } from 'rxjs';
import { PsmError } from '../models/psm-error';
import { PsmPrediction } from '../models/psm-prediction';
export declare class EventService {
    private counter;
    private loaderState;
    private errorState;
    private dataState;
    constructor();
    displayLoader(show: boolean): void;
    get verifyStateLoader(): Observable<boolean>;
    displayError(error: PsmError): void;
    get verifyStateError(): Observable<PsmError>;
    displayData(data: PsmPrediction): void;
    get verifyStateData(): Observable<PsmPrediction>;
}
