import { EventService } from './event.service';
import { TensorflowService } from './tensorflow.service';
export declare class PsmCaptchaService {
    private eventService;
    private tensorflowService;
    constructor(eventService: EventService, tensorflowService: TensorflowService);
    getEvents(): {
        loader: import("rxjs").Observable<boolean>;
        error: import("rxjs").Observable<import("../models/psm-error").PsmError>;
        data: import("rxjs").Observable<import("../models/psm-prediction").PsmPrediction>;
    };
    getPrediction(src: string): void;
}
