import { EventService } from './event.service';
import { PsmPrediction } from '../models/psm-prediction';
export declare class TensorflowService {
    private eventService;
    private blazefaceModel;
    private mobilenetModel;
    constructor(eventService: EventService);
    private loadBlazeFace;
    private loadMobilenet;
    getPrediction(element: ImageData | HTMLVideoElement | HTMLCanvasElement | HTMLImageElement): Promise<PsmPrediction>;
    getPredictionData(src: string): Promise<void>;
    private getImage;
}
