import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { EventService } from './services/event.service';
import { PsmError } from './models/psm-error';
export declare class PsmFaceCaptchaComponent implements OnInit, OnDestroy {
    private eventService;
    companySrc: string;
    backgroundIcon: string;
    switchCamera: boolean;
    onerror: EventEmitter<PsmError>;
    onloader: EventEmitter<boolean>;
    ondata: EventEmitter<any>;
    private loaderService;
    private errorService;
    private dataService;
    showCamera: boolean;
    constructor(eventService: EventService);
    ngOnInit(): void;
    private validateInputData;
    private getLoaderState;
    private getErrorState;
    private getDataState;
    ngOnDestroy(): void;
}
